directory-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Felix Knecht (JIRA)" <j...@apache.org>
Subject [jira] Updated: (DIRSTUDIO-376) Move to the latest Eclipse 3.4 dependencies
Date Tue, 02 Sep 2008 17:19:44 GMT

     [ https://issues.apache.org/jira/browse/DIRSTUDIO-376?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Felix Knecht updated DIRSTUDIO-376:
-----------------------------------

    Attachment: create_rcp_artifacts.sh
                create_sdk_artifacts.sh

The scripts I used at that time. Feel free to adapt them to your needs.
Getting smarter in the meantime I would now use mvn deploy:deploy-file instead of install:install-file
to get really like they where deploy on a remote repository.
See also http://maven.apache.org/plugins/maven-deploy-plugin/usage.html for this. ->
mvn deploy:deploy-file -Durl=file://{svn-studio/trunk}/repository \
                       -Dfile=your-artifact-1.0.jar \
                       [-DgroupId=org.some.group] \
                       [-DartifactId=your-artifact] \
                       [-Dversion=1.0] \
                       [-Dpackaging=jar] \
                       [-DgeneratePom=true] \
should do the job.

In short the scripts unpack an eclipse download (sdk or rpc), try to analyse the extract the
artifactid/groupid and deploy it. But it's not 100% working (not without errors).

OTH the latest updates (the missing poms) I did manually.

Hope it can give you an idea

Felix

> Move to the latest Eclipse 3.4 dependencies
> -------------------------------------------
>
>                 Key: DIRSTUDIO-376
>                 URL: https://issues.apache.org/jira/browse/DIRSTUDIO-376
>             Project: Directory Studio
>          Issue Type: Task
>          Components: studio-rcp
>            Reporter: Pierre-Arnaud Marcelot
>            Assignee: Pierre-Arnaud Marcelot
>             Fix For: 1.3.0
>
>         Attachments: Comparison_Studio_Eclipse.xls, create_rcp_artifacts.sh, create_sdk_artifacts.sh,
Eclipse_3.4.0.txt, Studio_1.2.0.txt
>
>
> Move our RCP dependencies to the latest Eclipse 3.4 dependencies

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message